Bug 591690 - wine 32-bit and 64-bit packages share /usr/bin/wine
Summary: wine 32-bit and 64-bit packages share /usr/bin/wine
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wine   
(Show other bugs)
Version: 12
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-12 20:23 UTC by Michael Cronenworth
Modified: 2011-02-05 16:17 UTC (History)
5 users (show)

Fixed In Version: wine-1.2.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-23 02:44:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Cronenworth 2010-05-12 20:23:09 UTC
Description of problem: The 32-bit and 64-bit packages for wine-core share the /usr/bin/wine link. This causes problems if someone has both arches installed, but then uninstalls one arch. The /usr/bin/wine link gets deleted.

wine should consider using the alternates system.


Version-Release number of selected component (if applicable): wine-1.1.44-2.fc12 (both 32-bit and 64-bit version)


How reproducible: Always


Steps to Reproduce:
1. yum --enablerepo=updates-testing install wine-core.x86_64 wine-pulseaudio.x86_64 wine-common
2. yum --enablerepo=updates-testing install wine-core.i686 wine-pulseaudio.i686
3. yum remove wine-core.i686 wine-pulseaudio.i686
4. $ wine
  
Actual results:
Wine does not work after an arch package is removed.

Expected results:
wine should continue to work. The work around is to "yum reinstall wine-core" but this is not acceptable.

Comment 1 Andreas Bierfert 2010-05-12 20:39:07 UTC
Well this is not an alternatives case. But you are right, this needs to be fixed...

Comment 2 Fedora Update System 2010-05-12 21:20:28 UTC
wine-1.1.44-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/wine-1.1.44-3.fc12

Comment 3 Fedora Update System 2010-05-12 21:22:53 UTC
wine-1.1.44-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/wine-1.1.44-3.fc13

Comment 4 Robert Hancock 2010-05-13 00:07:10 UTC
This still doesn't work properly. winecfg files to run:

wine: '/home/rob/.wine' is a 32-bit installation, it cannot support 64-bit applications.

Running any 32-bit app with wine fails with the same error. Using wine32 works, except for this error:

wine: cannot find L"C:\\windows\\system32\\wineboot.exe"
err:process:start_wineboot failed to start wineboot, err 2

Having a separate wine and wine32 does not seem like a proper solution as likely a lot of scripts (like winecfg) are hard-coded to call wine, not wine32. It would be best if the wine app could auto-detect somehow.

Comment 5 Michael Cronenworth 2010-05-13 02:26:30 UTC
(In reply to comment #4)
> This still doesn't work properly. winecfg files to run:
> 
> wine: '/home/rob/.wine' is a 32-bit installation, it cannot support 64-bit
> applications.

Somehow 32-bit and 64-bit wine can co-exist in one directory if you start with a fresh 64-bit .wine directory and then start a 32-bit wine instance. This might need to be filed at bugs.winehq.org if it hasn't been already as it is a separate bug.

Comment 6 Fedora Update System 2010-05-13 19:31:52 UTC
wine-1.1.44-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wine-1.1.44-3.fc12

Comment 7 Fedora Update System 2010-05-13 19:35:05 UTC
wine-1.1.44-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wine-1.1.44-3.fc13

Comment 8 Fedora Update System 2010-05-15 20:37:15 UTC
wine-1.1.44-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wine-1.1.44-4.fc12

Comment 9 Fedora Update System 2010-05-15 20:38:24 UTC
wine-1.1.44-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wine-1.1.44-4.fc13

Comment 10 Fedora Update System 2010-06-01 18:15:18 UTC
wine-1.2.0-0.2.rc2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wine-1.2.0-0.2.rc2.fc13

Comment 11 Fedora Update System 2010-06-14 17:14:08 UTC
wine-1.2.0-0.3.rc3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wine-1.2.0-0.3.rc3.fc13

Comment 12 Fedora Update System 2010-06-21 21:27:20 UTC
wine-1.2.0-0.4.rc4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wine-1.2.0-0.4.rc4.fc13

Comment 13 Fedora Update System 2010-07-06 17:14:34 UTC
wine-1.2.0-0.6.rc6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wine-1.2.0-0.6.rc6.fc13

Comment 14 Fedora Update System 2010-07-13 07:55:11 UTC
wine-1.2.0-0.7.rc7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wine-1.2.0-0.7.rc7.fc13

Comment 15 Fedora Update System 2010-07-23 02:44:25 UTC
wine-1.2.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-07-23 02:49:13 UTC
wine-1.2.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 gregor 2010-11-20 11:28:50 UTC
hi, i have alo this problem on f14 :-(

Comment 18 iblinker 2011-02-05 10:25:53 UTC
(In reply to comment #17)
> hi, i have alo this problem on f14 :-(

hi

Did you find a fix for this problem - i'm facing the same problem with F14

thanks

Comment 19 iblinker 2011-02-05 12:05:17 UTC
(In reply to comment #17)
> hi, i have alo this problem on f14 :-(

hi

Did you find a fix for this problem - i'm facing the same problem with F14

thanks

Comment 20 Robert Hancock 2011-02-05 16:17:31 UTC
The solutions, I believe, are either:

-if you already have a 32-bit wine prefix that you need to keep, only install wine i686 packages and not any of the x86_64 ones

-if you want to start a new wine prefix (rm -rf ~/.wine) then you can just install wine.x86_64 and it will install both 32 and 64-bit wine support


Note You need to log in before you can comment on or make changes to this bug.